%define upstream_name    Devel-CoreStack
%define upstream_version 1.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Try to generate a stack dump from a core file
License:	Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/Devel-CoreStack/
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
try to generate a stack dump from a core file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS="vendor" < /dev/null
%make

%check
%make test

%install
%make_install

%files
%defattr(-, root, root, 0755)
%doc MANIFEST
%{perl_vendorlib}/Devel/CoreStack.pm
%{_mandir}/man3/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.300.0-10.mga8
+ Revision: 1493995
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.300.0-9.mga7
+ Revision: 1267234
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.300.0-8.mga6
+ Revision: 1025500
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.300.0-7.mga6
+ Revision: 931975
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.300.0-6.mga5
+ Revision: 748332
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.300.0-5.mga5
+ Revision: 684310
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.300.0-4.mga4
+ Revision: 510802
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.300.0-3.mga3
+ Revision: 365707
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.300.0-2.mga1
+ Revision: 29478
- no meta.yml
- rebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.300.0-1.mga1
+ Revision: 10925
- imported package perl-Devel-CoreStack


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.300.0-1mdv2010.1
+ Revision: 504941
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.3-6mdv2010.0
+ Revision: 430409
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.3-5mdv2009.0
+ Revision: 256629
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.3-3mdv2008.1
+ Revision: 136992
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Dec 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3-2mdv2007.0
+ Revision: 89742
- use the mkrel macro
- Import perl-Devel-CoreStack

* Sat Nov 05 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3-1mdk
- initial Mandriva package

